/*!\file:  VecDuplicatePatch.cpp
 * \brief VecDuplicate + VecCopy wrapped together
 */ 

#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

/*Petsc includes: */
#include <petscmat.h>
#include <petscvec.h>
#include <petscksp.h>

void VecDuplicatePatch(Vec* output, Vec input){

	VecDuplicate(input,output);
	VecCopy(input,*output);

}
